Description

The current implementation in application.js attempts to focus on all elements matching .drdn-items a.selected when the project jump

dropdown is expanded. This can cause unpredictable behavior if multiple elements match this selector, as only one element should

receive focus.

This patch modifies the code to explicitly focus only on the first selected element by adding the .first() method before calling .focus().

This ensures consistent behavior when navigating the project selector dropdown.

In the project selection dropdown in the upper right corner, when you open a bookmarked project, the project that gets selected is not

the one in the bookmark area but the one in the list below. I believe this degrades the usability when switching between bookmarked

projects during work.

Steps to reproduce:

1. Have multiple projects that could be selected in the project jump dropdown

2. Bookmark one

3. Open the project selector dropdown

4. Select the bookmarked project and see the selected position

This is a simple fix that improves the reliability of the project navigation interface.

Associated revisions

Revision 23558 - 2025-03-26 00:56 - Go MAEDA

Fix project selector focus by explicitly targeting the first selected item (#42440).

Patch by [Agileware]Haruka Asakura (user:asakura-agileware).

Revision 23574 - 2025-03-27 02:11 - Go MAEDA

Merged r23558 from trunk to 6.0-stable (#42440).

History

#1 - 2025-03-19 06:50 - Mizuki ISHIKAWA

I was able to reproduce the issue.

Just to be sure, I checked the case when there is no selected element, and confirmed that selected.first().focus(); does not cause any errors in that

case.

The patch fix looks good to me.

#2 - 2025-03-24 10:30 - Go MAEDA

- Category set to Projects

- Target version set to 6.0.5

Setting the target version to 6.0.5.

#3 - 2025-03-26 00:57 - Go MAEDA

- Subject changed from Fix project selector focus when multiple elements are selected to Fix project selector focus by explicitly targeting the first

selected item

- Status changed from New to Resolved

- Assignee set to Go MAEDA
Committed the fix in r23558. Thank you for your contribution.

#4 - 2025-03-27 02:12 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into 6.0-stable branch in r23574.
